=== debian/control ===
Source: kf6-karchive
Section: libs
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 6.0.0~),
               libbz2-dev,
               liblzma-dev,
               libzstd-dev,
               pkgconf,
               pkg-kde-tools (>= 0.17.0~),
               qt6-documentation-tools,
               qt6-l10n-tools,
               qt6-base-dev (>= 6.2.4+dfsg~),
               qt6-tools-dev (>= 6.2.4~),
               qt6-tools-dev-tools,
               libqt6sql6-sqlite,
               zlib1g-dev,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/karchive
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-karchive
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-karchive.git
Rules-Requires-Root: no

Package: libkf6archive-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: data files for karchive
 Karchive is a Qt 6 addon providing access to numerous types of archives.
 .
 KArchive provides classes for easy reading, creation and manipulation of
 "archive" formats like ZIP and TAR.
 .
 It also provides transparent compression and decompression of data, like the
 GZip format, via a subclass of QIODevice.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the data files.

Package: libkf6archive-dev
Section: libdevel
Architecture: any
Depends: libkf6archive6 (= ${binary:Version}),
         qt6-base-dev (>= 6.2.4+dfsg~),
         ${misc:Depends},
Recommends: libkf6archive-doc (= ${source:Version}),
Description: development files for karchive
 Karchive is a Qt 6 addon providing access to numerous types of archives.
 .
 KArchive provides classes for easy reading, creation and manipulation of
 "archive" formats like ZIP and TAR.
 .
 It also provides transparent compression and decompression of data, like the
 GZip format, via a subclass of QIODevice.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: libkf6archive-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt 6 addon providing access to numerous types of archives (documentation)
 KArchive provides classes for easy reading, creation and manipulation of
 "archive" formats like ZIP and TAR.
 .
 It also provides transparent compression and decompression of data, like the
 GZip format, via a subclass of QIODevice.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6archive6
Architecture: any
Multi-Arch: same
Depends: libkf6archive-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 addon providing access to numerous types of archives
 KArchive provides classes for easy reading, creation and manipulation of
 "archive" formats like ZIP and TAR.
 .
 It also provides transparent compression and decompression of data, like the
 GZip format, via a subclass of QIODevice.
 .
 This package is part of KDE Frameworks 6.
