## kf6-karchive 6.0.0-20240828.171022.3f569a3-1.0~noble1trisquel1

=== CMakeLists.txt ===
--- 
+++ 
@@ -42,7 +42,7 @@
 
 include(ECMGenerateExportHeader)
 
-set(REQUIRED_QT_VERSION 6.2.0)
+set(REQUIRED_QT_VERSION 6.4.0)
 find_package(Qt6Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 
 find_package(ZLIB)
@@ -98,7 +98,7 @@
     SOVERSION 6)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.2
+    QT 6.4
 )
