=== debian/changelog ===
kf6-karchive (6.0.0-20240828.171022.3f569a3-1.0~noble1trisquel1) ecne-backports; urgency=medium

  * Added as a dependency for nextcloud-desktop backport

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 13 Oct 2024 18:41:54 +0000

kf6-karchive (6.0.0-20240828.171022.3f569a3-1.0~noble1) noble; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sun, 24 Mar 2024 10:42:32 +0100
