=== debian/control ===
--- 
+++ 
@@ -13,12 +13,8 @@
                libzstd-dev,
                pkgconf,
                pkg-kde-tools (>= 0.17.0~),
-               qt6-documentation-tools,
-               qt6-l10n-tools,
-               qt6-base-dev (>= 6.2.4+dfsg~),
-               qt6-tools-dev (>= 6.2.4~),
-               qt6-tools-dev-tools,
-               libqt6sql6-sqlite,
+               qt6-base-dev (>= 6.4.2+dfsg~),
+               qt6-tools-dev (>= 6.4.2~),
                zlib1g-dev,
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/karchive
@@ -47,7 +43,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6archive6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.2.4+dfsg~),
+         qt6-base-dev (>= 6.4.2+dfsg~),
          ${misc:Depends},
 Recommends: libkf6archive-doc (= ${source:Version}),
 Description: development files for karchive
