=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: kf6-karchive
 Section: libs
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
+               dh-sequence-kf6,
+               dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.0.0~),
+               extra-cmake-modules (>= 6.3.0~),
                libbz2-dev,
                liblzma-dev,
                libzstd-dev,
                pkgconf,
-               pkg-kde-tools (>= 0.17.0~),
-               qt6-base-dev (>= 6.4.2+dfsg~),
-               qt6-tools-dev (>= 6.4.2~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-tools-dev (>= 6.5.0~),
                zlib1g-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/karchive
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-karchive
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-karchive.git
@@ -43,7 +44,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6archive6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.4.2+dfsg~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6archive-doc (= ${source:Version}),
 Description: development files for karchive
