## kf6-karchive 6.10.0

=== debian/changelog ===
kf6-karchive (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * Drop backported upstream commits now part of the ustream release.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:22:43 +0100

kf6-karchive (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 11:57:32 +0100

kf6-karchive (6.7.0-3) experimental; urgency=medium

  * Team upload.
  * Merge changes from 6.6.0-3.

 -- Pino Toscano <pino@debian.org>  Mon, 25 Nov 2024 08:33:19 +0100

kf6-karchive (6.7.0-2) experimental; urgency=medium

  * Team upload.
  * Merge changes from 6.6.0-2.

 -- Pino Toscano <pino@debian.org>  Fri, 22 Nov 2024 22:25:30 +0100

kf6-karchive (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:23 -0600

kf6-karchive (6.6.0-3) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 06b14a5c8dd53e4dc01c43ea91e1558d75539f47 to fix
    the reading of ZIP64 fields on certain architectures; patch
    upstream_kzip-fix-reading-of-ZIP64-fields-on-certain-architec.patch.

 -- Pino Toscano <pino@debian.org>  Mon, 25 Nov 2024 07:36:11 +0100

kf6-karchive (6.6.0-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 776efbfc5784cacfde2e0036452ddabd06cf4138 to fix
    the reading of 7zip archives on 32bit big endian architectures; patch
    upstream_k7zip-fix-simplify-GetUi-functions.patch.

 -- Pino Toscano <pino@debian.org>  Fri, 22 Nov 2024 21:38:14 +0100

kf6-karchive (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 22:59:13 +0200

kf6-karchive (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * 'acc' autopkgtest: set -std=c++17, needed when using Qt 6.
  * CI: update/simplify configuration.
  * Update symbols file from the logs of buildds.
  * Remove the unused debian/meta/ stuff.
  * Remove the leftovers of the old 'testsuite' autopkgtest.
  * Add build dependencies needed for running the tests: zstd.
  * Enable running the tests suite at build time, which should work fine.
  * Drop the unused ${shlibs:Depends} substvar from libkf6archive-data.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Aug 2024 10:00:26 +0200

kf6-karchive (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:21:56 +0200

kf6-karchive (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:22:41 +0200
