## kf6-karchive 6.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,16 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.12.0") # handled by release scripts
+set(KF_VERSION "6.13.0") # handled by release scripts
 project(KArchive VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.12.0  NO_MODULE)
+find_package(ECM 6.13.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 option(WITH_BZIP2 "Make bzip2 required" ON)
 option(WITH_LIBLZMA "Make liblzma required" ON)
+option(WITH_OPENSSL "Make openssl required" ON)
 option(WITH_LIBZSTD "Make libzstd required" ON)
 
 set(PKGCONFIG_REQUIRED_TYPE "")
@@ -24,6 +25,12 @@
     set(LIBLZMA_PACKAGE_TYPE "REQUIRED")
 else()
     set(LIBLZMA_PACKAGE_TYPE "RECOMMENDED")
+endif()
+
+if(WITH_OPENSSL)
+    set(OPENSSL_PACKAGE_TYPE "REQUIRED")
+else()
+    set(OPENSSL_PACKAGE_TYPE "RECOMMENDED")
 endif()
 
 if(WITH_LIBZSTD)
@@ -69,6 +76,14 @@
     PURPOSE "Support for xz compressed files and data streams"
 )
 
+find_package(OpenSSL)
+set_package_properties(OpenSSL PROPERTIES
+    URL "https://www.openssl.org/"
+    DESCRIPTION "Support for encrypted archives"
+    TYPE ${OPENSSL_PACKAGE_TYPE}
+    PURPOSE "Support for encrypted archives"
+)
+
 
 find_package(PkgConfig ${PKGCONFIG_REQUIRED_TYPE})
 if (PkgConfig_FOUND)
@@ -98,7 +113,7 @@
     SOVERSION 6)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.8
+    QT 6.9
 )
