=== debian/changelog ===
kf6-karchive (6.13.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream commits:
    - Fix 2 issues reading malformed zip archives.
    - Fix reading zip archives with prepended arbitrary data. (kde#329579)
    - Fix out-of-bounds read crash on malformed 7-zip files.
    - Fix buffer overflow, crash and infinite loop on malformed zip files.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 17 May 2025 00:45:55 +0200

kf6-karchive (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from buildlogs.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:33:24 +0200
