## kf6-karchive 6.16.0

=== debian/changelog ===
kf6-karchive (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:39:19 +0100

kf6-karchive (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.
  * Build depend on zstd for tests.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:30:59 +0100

kf6-karchive (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)
  * Build depend on libssl-dev.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:55:19 +0100
